// package: oddscrawler
// file: network.proto

/* tslint:disable */

import * as grpc from "grpc";
import * as network_pb from "./network_pb";

interface INetworkerService extends grpc.ServiceDefinition<grpc.UntypedServiceImplementation> {
    sayHello: INetworkerService_ISayHello;
}

interface INetworkerService_ISayHello extends grpc.MethodDefinition<network_pb.NetworkRequest, network_pb.NetworkReply> {
    path: string; // "/oddscrawler.Networker/SayHello"
    requestStream: boolean; // false
    responseStream: boolean; // false
    requestSerialize: grpc.serialize<network_pb.NetworkRequest>;
    requestDeserialize: grpc.deserialize<network_pb.NetworkRequest>;
    responseSerialize: grpc.serialize<network_pb.NetworkReply>;
    responseDeserialize: grpc.deserialize<network_pb.NetworkReply>;
}

export const NetworkerService: INetworkerService;

export interface INetworkerServer {
    sayHello: grpc.handleUnaryCall<network_pb.NetworkRequest, network_pb.NetworkReply>;
}

export interface INetworkerClient {
    sayHello(request: network_pb.NetworkRequest, callback: (error: grpc.ServiceError | null, response: network_pb.NetworkReply) => void): grpc.ClientUnaryCall;
    sayHello(request: network_pb.NetworkRequest, metadata: grpc.Metadata, callback: (error: grpc.ServiceError | null, response: network_pb.NetworkReply) => void): grpc.ClientUnaryCall;
    sayHello(request: network_pb.NetworkRequest, metadata: grpc.Metadata, options: Partial<grpc.CallOptions>, callback: (error: grpc.ServiceError | null, response: network_pb.NetworkReply) => void): grpc.ClientUnaryCall;
}

export class NetworkerClient extends grpc.Client implements INetworkerClient {
    constructor(address: string, credentials: grpc.ChannelCredentials, options?: object);
    public sayHello(request: network_pb.NetworkRequest, callback: (error: grpc.ServiceError | null, response: network_pb.NetworkReply) => void): grpc.ClientUnaryCall;
    public sayHello(request: network_pb.NetworkRequest, metadata: grpc.Metadata, callback: (error: grpc.ServiceError | null, response: network_pb.NetworkReply) => void): grpc.ClientUnaryCall;
    public sayHello(request: network_pb.NetworkRequest, metadata: grpc.Metadata, options: Partial<grpc.CallOptions>, callback: (error: grpc.ServiceError | null, response: network_pb.NetworkReply) => void): grpc.ClientUnaryCall;
}
